#include <stdio.h>
#include <stdlib.h>
/* You need an access to cidre.math.kobe-u.ac.jp to calculate the size
   of files.
   Change NobukiTakayama to your login id.
*/
#define MY_SSH "ssh cidre -l NobukiTakayama ls -l /Library/QuickTimeStreaming/Movies/cm/"
#define MY_AWK " | awk \'{print $5}\' >tmp-size.txt"

getsize(char *s) {
  char cmd[1024*2];
  FILE *fp;
  int size;
  size=0;
  sprintf(cmd,"%s%s %s",MY_SSH,s,MY_AWK);
  system(cmd);
  fprintf(stderr,"%s\n",cmd); fflush(NULL);
  fp = fopen("tmp-size.txt","r");
  if (fp != NULL) {
	fscanf(fp,"%d",&size);
	fclose(fp);
  }
  return size;
}

main(int argc, char *argv[]) {
  char fname[1024];
  int i;
  FILE *fp;
  int size;
  int ttime;
  int wide;
  char sss[1024];
  int english;
  wide = 0; english=0;
  if (argc <= 1) {
	fprintf(stderr,"gen-table fname1 fname2 fname3 .... \n");
	exit(EXIT_FAILURE);
  }
  for (i=1; i<argc; i++) {
	if (strcmp(argv[i],"--wide")==0) {
	  wide = 1;
	  continue;
	}
	if (strcmp(argv[i],"--en")==0) {
	  english = 1;
	  continue;
	}
	strcpy(fname,argv[i]);
    printf("<h4 id=\"TTT%d\" name=\"TTT%d\"> [111-%d]  </h4>\n",i,i,i);
    printf("<table border>\n");
    printf("<tr>\n");
    printf(" <th>\n");
	sprintf(sss,"%s.mov",fname); size = getsize(sss)/1000000;
	if (wide) {
	  ttime = (size/2)/1.334;  /* wide screen */
	}else{
	  ttime =size/2;  /* new machine */
	}
	/* ttime = (size*3)/4;*/ /* Old DVD video */
	if (english) 
	  printf(" <a href=\"../cm/%s.qtl\"> Streaming (%dM, about %d min) </a>\n",fname,size,ttime);
	else
	  printf(" <a href=\"../cm/%s.qtl\"> Streaming (%dM,  %d min) </a>\n",fname,size,ttime);
    printf(" </th>\n");
    printf(" <th>\n");
	if (english)
	  printf(" <a href=\"../cm/%s.mov\"> Download[right click](row resolution, %dM) </a>\n",fname,size);
	else
	  printf(" <a href=\"../cm/%s.mov\"> [å](, %dM) </a>\n",fname,size);
    printf(" </th>\n");
    printf(" <th>\n");
	sprintf(sss,"%s.mp4",fname); size = getsize(sss)/1000000;
	if (english)
	  printf(" <a href=\"../cm/%s.mp4\"> Download[right click](high resolution, %dM) </a>\n",fname,size);
	else
	  printf(" <a href=\"../cm/%s.mp4\"> [å](, %dM) </a>\n",fname,size); 
    printf("</th>\n");
    printf("</tr>\n");
    printf("</table>\n");
    printf("<br>\n\n");
  }
  exit(EXIT_SUCCESS);
}

