#!/bin/sh
echo "Execute this on Linux machine with the command dpkg-scanpackages (dpkg-dev)"
echo "Clean the local ${HOME}/tmp/DVD3 if necessary."
mkdir -p ${HOME}/tmp/DVD3
(cd ${HOME}/tmp/DVD3 ; rsync -avz -e ssh ${USER}@fe.math.kobe-u.ac.jp:/usr/local/www/data/KnoppixMath/'*.deb' .)
(cd ${HOME}/tmp/DVD3 ; rsync -avz -e ssh ${USER}@fe.math.kobe-u.ac.jp:/usr/local/www/data/KnoppixMath/'*.dsc' .)
(cd ${HOME}/tmp/DVD3 ; rsync -avz -e ssh ${USER}@fe.math.kobe-u.ac.jp:/usr/local/www/data/KnoppixMath/'*.changes' .)
(cd ${HOME}/tmp/DVD3 ; dpkg-scanpackages . /dev/null) | gzip -9c >Packages.gz
scp Packages.gz ${USER}@fe.math.kobe-u.ac.jp:/usr/local/www/data/KnoppixMath
ssh ${USER}@fe.math.kobe-u.ac.jp chgrp cvs-dvd /usr/local/www/data/KnoppixMath/Packages.gz
ssh ${USER}@fe.math.kobe-u.ac.jp chmod 664 /usr/local/www/data/KnoppixMath/Packages.gz
echo "--------------------------------------------------"
echo "Add "
echo "deb http://fe.math.kobe-u.ac.jp/KnoppixMath ./"
echo "in your /etc/apt/sources.list"
echo "And, sudo apt-get update"
echo "--------------------------------------------------"
