#include <stdio.h>
#include <stdlib.h>

main(int argc, char *argv[]) {
  char fname[1024];
  int i;
  FILE *fp;
  if (argc <= 1) {
	fprintf(stderr,"gen-qtl-file names\n");
	exit(EXIT_FAILURE);
  }
  for (i=1; i<argc; i++) {
	strcpy(fname,argv[i]);
	strcat(fname,".qtl");
	fp = fopen(fname,"w");
	if (fp == NULL) {
	  fprintf(stderr,"File %s cannot be opened.\n",fname);
	  exit(EXIT_FAILURE);
	}
	fprintf(fp,"rtsptextrtsp://vs.math.kobe-u.ac.jp:554/cm/%s.mov\n",argv[i]);
	fprintf(fp,"autoplay=true\n");
	fclose(fp);
  }
  exit(EXIT_SUCCESS);
}
